Bug 203533 - [PATCH] audio/cmus: Enable AAC FFMPEG MP4 options by default
Summary: [PATCH] audio/cmus: Enable AAC FFMPEG MP4 options by default
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kubilay Kocak
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-10-04 13:57 UTC by Tobias Kortkamp
Modified: 2015-12-04 06:29 UTC (History)
2 users (show)

See Also:
koobs: maintainer-feedback-
koobs: merge-quarterly+


Attachments
cmus.diff (619 bytes, patch)
2015-10-04 13:57 UTC, Tobias Kortkamp
koobs: maintainer-approval+
Details | Diff
Poudriere log (30.58 KB, text/x-log)
2015-10-04 13:59 UTC, Tobias Kortkamp
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2015-10-04 13:57:58 UTC
Created attachment 161693 [details]
cmus.diff

It would be great if we could enable more codecs by default in cmus. This would make cmus more useful when installed via pkg. Right now it is limited to playing mp3, vorbis and flac files out of the box.
Comment 1 Tobias Kortkamp freebsd_committer 2015-10-04 13:59:19 UTC
Created attachment 161694 [details]
Poudriere log
Comment 2 Herbert J. Skuhra 2015-10-19 07:13:27 UTC
I'll look into this shortly. I have to upgrade the port to latest version anyway (rewrite Makefile, fix options etc.). Sorry for the delay.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-19 07:47:11 UTC
Pending patch from maintainer
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2015-10-19 07:47:58 UTC
Oops, didnt mean to remove maintainer-feedback
Comment 5 Tobias Kortkamp freebsd_committer 2015-11-25 13:15:41 UTC
Herbert, anything I can do to help?
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-27 02:45:52 UTC
Comment on attachment 161693 [details]
cmus.diff

Patch was not rejected, nor can it be under premise of pending superseding patch
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-27 02:48:27 UTC
@Herbert, this patch should be committed independently, as it can be merged (MFH'd) to the quarterly branch (where version updates cannot)
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-04 05:52:57 UTC
Comment on attachment 161693 [details]
cmus.diff

Maintainer timeout (1 month, 15 days)
Comment 9 commit-hook freebsd_committer 2015-12-04 06:20:54 UTC
A commit references this bug:

Author: koobs
Date: Fri Dec  4 06:20:45 UTC 2015
New revision: 402908
URL: https://svnweb.freebsd.org/changeset/ports/402908

Log:
  audio/cmus: Enable AAC FFMPEG MP4 by default

  Enable the AAC, FFMPEG and MP4 codecs by default, so that the binary packages
  are more valuable out of the box. Prior to this change, it was limited to
  playing mp3, Vorbis and FLAC format files.

  While I'm here:

  - Add LICENSE_FILE

  PR:		203533
  Submitted by:	Tobias Kortkamp <t tobik me>
  Approved by:	maintainer (timeout, 1 month, 15 days)
  MFH:		2015Q4

Changes:
  head/audio/cmus/Makefile
Comment 10 commit-hook freebsd_committer 2015-12-04 06:24:56 UTC
A commit references this bug:

Author: koobs
Date: Fri Dec  4 06:24:11 UTC 2015
New revision: 402910
URL: https://svnweb.freebsd.org/changeset/ports/402910

Log:
  MFH: r402908

  audio/cmus: Enable AAC FFMPEG MP4 by default

  Enable the AAC, FFMPEG and MP4 codecs by default, so that the binary packages
  are more valuable out of the box. Prior to this change, it was limited to
  playing mp3, Vorbis and FLAC format files.

  While I'm here:

  - Add LICENSE_FILE

  PR:		203533
  Submitted by:	Tobias Kortkamp <t tobik me>
  Approved by:	maintainer (timeout, 1 month, 15 days)

  Approved by:	ports-secteam (blanket)

Changes:
_U  branches/2015Q4/
  branches/2015Q4/audio/cmus/Makefile
Comment 11 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-04 06:29:48 UTC
Committed and MFH'd, with minor addition.

Thank you Tobias!